/* loader */
.loading {
    width: 100%;
    height: 100%;
    position: fixed;
    z-index: 99999;
    top: 0;
    left: 0;
    display: none;
    align-items: center;
    justify-content: center;
    background-color: #f2f3f8;
    &.is-active{
        display: flex;
    }
    .dot-typing {
        position: relative;
        left: -9999px;
        width: 16px;
        height: 16px;
        border-radius: 50%;
        background-color: #c9243f;
        color: #c9243f;
        box-shadow: 9969px 0 0 0 #c9243f, 9999px 0 0 0 #c9243f, 10029px 0 0 0 #c9243f;
        animation: dotTyping 1.5s infinite linear;
    }

    @keyframes dotTyping {
        0% {
            box-shadow: 9969px 0 0 0 #c9243f, 9999px 0 0 0 #c9243f, 10029px 0 0 0 #c9243f;
        }
        16.667% {
            box-shadow: 9969px -10px 0 0 #c9243f, 9999px 0 0 0 #c9243f, 10029px 0 0 0 #c9243f;
        }
        33.333% {
            box-shadow: 9969px 0 0 0 #c9243f, 9999px 0 0 0 #c9243f, 10029px 0 0 0 #c9243f;
        }
        50% {
            box-shadow: 9969px 0 0 0 #c9243f, 9999px -10px 0 0 #c9243f, 10029px 0 0 0 #c9243f;
        }
        66.667% {
            box-shadow: 9969px 0 0 0 #c9243f, 9999px 0 0 0 #c9243f, 10029px 0 0 0 #c9243f;
        }
        83.333% {
            box-shadow: 9969px 0 0 0 #c9243f, 9999px 0 0 0 #c9243f, 10029px -10px 0 0 #c9243f;
        }
        100% {
            box-shadow: 9969px 0 0 0 #c9243f, 9999px 0 0 0 #c9243f, 10029px 0 0 0 #c9243f;
        }
    }
}
